@model NewUserViewModel

@{
    ViewBag.Title = "User";
    Layout = "_Layout";
}

<h2>Gebruiker aanmaken</h2>

<form asp-action="AddUser" method="post">
    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <div class="form-group">
        <label asp-for="UserName" class="control-label">Naam</label>
        <input asp-for="UserName" class="form-control"/>
        <span asp-validation-for="UserName" class="text-danger"></span>
    </div>
    <br/>
    <div class="form-group">
        <label asp-for="Email" class="control-label">Email</label>
        <input asp-for="Email" class="form-control"/>
        <span asp-validation-for="Email" class="text-danger"></span>
    </div>
    <br/>
    <div class="form-group">
        <label asp-for="Password" class="control-label">Wachtwoord</label>
        <input asp-for="Password" class="form-control"/>
        <span asp-validation-for="Password" class="text-danger"></span>
    </div>
    <br/>
    <div class="form-group">
        <label asp-for="SelectedRole" class="control-label">Selecteer een rol</label>
        <select asp-for="SelectedRole" class="form-control" asp-items="@(new SelectList(Model.AvailableRoles))" required>
            <option value="">Selecteer een rol</option>
        </select>
        <span asp-validation-for="SelectedRole" class="text-danger"></span>
    </div>
    <br/>
    <div class="form-group">
        <label asp-for="PlatformId" class="control-label">Selecteer een platform</label>
        <select asp-for="PlatformId" class="form-control" asp-items="Model.Platforms" required>
            <option value="">Selecteer een platform</option>
        </select>
        <span asp-validation-for="PlatformId" class="text-danger"></span>
    </div>
    <br/>
    <div class="form-group">
        <button type="submit" class="btn btn-primary">Creëer</button>
    </div>
</form>